<div class="pt-28 md:pt-36 lg:pt-44 xl:pt-52 flex justify-center">
  @if(isGoodToken){
    <div class="text-center mb-8">
      <i class="fa-regular fa-circle-check text-8xl xl:text-9xl text-green-800"></i>
      <p class="mt-3 font-medium text-2xl xl:text-3xl">Inscription terminée</p>
      <div class="rounded bg-green-100 px-4 py-3 mx-3 mt-3 xl:mt-7 mb-14">
        <div class="flex gap-3 items-center">
            <i class="fa-solid fa-circle-check text-green-800 mt-1 xl:text-xl"></i>
            <p class="font-medium text-green-900 xl:text-lg">Bienvenue sur la Virée Terroir Utilisateur !</p>
        </div>
        <p class="text-green-800 text-sm mt-2 text-left">Nous vous remercions de votre inscription sur notre site et espérons que vous y trouverez ce que vous êtes venu chercher</p>
      </div>
      <app-button class="xl:text-xl" [buttonText]="'Retournez sur la page principale'" (buttonClick)="navigateToHomepage()"></app-button>
    </div>
  }
  @if(badToken){
    <div class="text-center mb-10">
      <i class="fa-solid fa-circle-exclamation text-8xl xl:text-9xl text-red-800"></i>
      <p class="mt-3 font-medium text-2xl xl:text-3xl">Oups, il y a un problème</p>
      <div class="rounded bg-red-100 px-4 py-3 mx-3 mt-3 xl:mt-7 mb-10">
        <div class="flex gap-3 items-center">
            <i class="fa-solid fa-circle-exclamation text-red-800 mt-1 xl:text-xl"></i>
            <p class="font-medium text-red-900 xl:text-lg">Une erreur est survenue</p>
        </div>
        <p class="text-red-800 text-sm mt-2 text-left">La page n'est plus valide ou est expirée, veuillez recommencer l'inscription</p>
      </div>
      <app-button class="xl:text-xl" [buttonText]="'Retournez sur la page principale'" (buttonClick)="navigateToHomepage()"></app-button>
    </div>
  }
</div>
